Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.common.action.awt
Class FocusAction

    java.lang.Object
      de.jsystems.framework.common.action.AbstractAction
          de.jsystems.framework.common.action.awt.FocusAction

All Implemented Interfaces:
  EventListener, FocusListener

public class FocusAction
extends AbstractAction
implements FocusListener

Actionimplementierung fuer FocusEvents.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2004
Author:
  Jens Homm JSYSTEMS

Constructor Summary
`FocusAction()`

Method Summary
`void` | `doFocusGained(FocusEvent fe)` Abgeleitete Klassen müssen diese Methode ueberschreiben.
`void` | `doFocusLost(FocusEvent fe)` Abgeleitete Klassen müssen diese Methode ueberschreiben.
`void` | `focusGained(FocusEvent fe)`
`void` | `focusLost(FocusEvent fe)`

Methods inherited from class de.jsystems.framework.common.action.AbstractAction
`addControl, disable, enable, exceptionInAction, getController, getControls, getException, getView, hasException, initialize, isEnabled, removeAll, removeControl, setException`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FocusAction

    public FocusAction()

Method Detail

### focusGained

    public void focusGained(FocusEvent fe)

  Specified by:
    `focusGained` in interface `FocusListener`

### doFocusGained

    public void doFocusGained(FocusEvent fe)
                       throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `fe` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

### focusLost

    public void focusLost(FocusEvent fe)

  Specified by:
    `focusLost` in interface `FocusListener`

### doFocusLost

    public void doFocusLost(FocusEvent fe)

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `fe` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD